CVE-2023-44401

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2023-44401
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2023-44401.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2023-44401
Aliases
Published
2024-01-23T14:15:37Z
Modified
2024-06-06T14:24:26.244420Z
Severity
  • 5.3 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N CVSS Calculator
Summary
[none]
Details

The Silverstripe CMS GraphQL Server serves Silverstripe data as GraphQL representations. In versions 4.0.0 prior to 4.3.7 and 5.0.0 prior to 5.1.3, canView permission checks are bypassed for ORM data in paginated GraphQL query results where the total number of records is greater than the number of records per page. Note that this also affects GraphQL queries which have a limit applied, even if the query isn’t paginated per se. This has been fixed in versions 4.3.7 and 5.1.3 by ensuring no new records are pulled in from the database after performing canView permission checks for each page of results. This may result in some pages in the query results having less than the maximum number of records per page even when there are more pages of results. This behavior is consistent with how pagination works in other areas of Silverstripe CMS, such as in GridField, and is a result of having to perform permission checks in PHP rather than in the database directly. One may disable these permission checks by disabling the CanViewPermission plugin.

References

Affected packages

Git / github.com/silverstripe/silverstripe-graphql

Affected ranges

Type
GIT
Repo
https://github.com/silverstripe/silverstripe-graphql
Events

Affected versions

4.*

4.0.0
4.0.1
4.0.2
4.1.0
4.1.0-beta1
4.1.0-rc1
4.1.1
4.1.2
4.1.3
4.2.0
4.2.1
4.2.2
4.2.3
4.2.4
4.2.5
4.3.0
4.3.0-rc1
4.3.1
4.3.2
4.3.3
4.3.4
4.3.5
4.3.6